%define name piklab
%define version 0.15.4
%define release %mkrel 1

Summary: IDE for applications based on PIC microcontrollers
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1:    %{name}-026-microchip.rules
Source2:    %{name}-icd2.perms
Source3:    %{name}-pickit1.perms
Source4:    %{name}-pickit2.perms
Source5:    README.urpmi
Patch1:     %{name}-0.12.1.x-desktop-fr.patch
License: GPL
Group: Development/Other
Url: http://piklab.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdebase3-devel
BuildRequires: desktop-file-utils
BuildRequires: ImageMagick ncurses-devel
BuildRequires: libusb-devel libreadline-devel
Obsoletes: piclab

%description
Piklab is an integrated development environment for applications based on 
PIC microcontrollers. Gputils tools are used for assembling. Microchip 
programmers and several direct programmers are supported.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p0
cp %{SOURCE5} .

%build
%configure_kde3 --disable-final
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --with-html

desktop-file-install \
  --dir %{buildroot}%{_kde3_datadir}/applications/kde \
  --add-category "Electronics" \
  --remove-category "Development" \
  --remove-category "IDE" \
  --remove-category "Science" \
  --remove-key="Patterns" \
  --delete-original \
  %{buildroot}%{_kde3_datadir}/applications/kde/piklab.desktop

%{__install} -d %{buildroot}%{_sysconfdir}/udev/rules.d/
%{__install} -d %{buildroot}%{_sysconfdir}/security/console.perms.d/
%{__install} -pm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/udev/rules.d/026-microchip.rules
%{__install} -pm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/security/console.perms.d/icd2.perms
%{__install} -pm 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/security/console.perms.d/pickit1.perms
%{__install} -pm 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/security/console.perms.d/pickit2.perms

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files -f %{name}.lang
%defattr(755,root,root)
%doc README.urpmi
%{_sysconfdir}/udev/rules.d/026-microchip.rules
%{_sysconfdir}/security/console.perms.d/*.perms
%{_kde3_bindir}/*
%defattr(644,root,root,755)
%{_kde3_datadir}/apps/%{name}
%{_kde3_datadir}/applications/kde/piklab.desktop
%{_kde3_datadir}/icons/hicolor/*/*/*.png
%{_kde3_datadir}/mimelnk/application/x-piklab.desktop
%{_kde3_datadir}/apps/katepart/syntax/*
%{_mandir}/man1/*


%changelog
* Fri Mar 20 2009 Funda Wang <fundawang@mandriva.org> 0.15.4-1mdv2009.1
+ Revision: 359097
- New version 0.15.4

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.15.3-2mdv2009.0
+ Revision: 259039
- rebuild

* Sun Jul 27 2008 Funda Wang <fundawang@mandriva.org> 0.15.3-1mdv2009.0
+ Revision: 250388
- Update file list
- sync with fedora packages
- New version 0.15.3

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.15.0-3mdv2008.1
+ Revision: 171046
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Oct 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.15.0-2mdv2008.1
+ Revision: 101183
- obsoletes piclab (#34976)

* Sun Oct 21 2007 Funda Wang <fundawang@mandriva.org> 0.15.0-1mdv2008.1
+ Revision: 101012
- update to new version 0.15.0

* Wed Oct 17 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.14.5-1mdv2008.1
+ Revision: 99649
- New upstream: 0.14.5

* Sat Sep 01 2007 Funda Wang <fundawang@mandriva.org> 0.13.0-4mdv2008.0
+ Revision: 77295
- remove wrong fr comment of menu entry


* Wed Feb 07 2007 Lenny Cartier <lenny@mandriva.com> 0.13.0-3mdv2007.0
+ Revision: 117078
- Buildrequires
- Buildrequires
- Update to 0.13.0
- Import piklab

* Fri Oct 13 2006 Lenny Cartier <lenny@mandriva.com> 0.12.0-1mdv2007.1
- 0.12

* Thu Aug 24 2006 Lenny Cartier <lenny@mandriva.com> 0.11.0-1mdv2007.0
- 0.11.0b

* Thu Jul 13 2006 Lenny Cartier <lenny@mandriva.com> 0.10.0-1mdv2007.0
- 0.10.0

* Sun May 14 2006 Couriousous <couriousous@mandriva.org> 0.8.0-1mdk
- 0.8.0

* Sun May 07 2006 Couriousous <couriousous@mandriva.org> 0.7.0-2mdk
- Fix #22320

* Sat Apr 29 2006 Lenny Cartier <lenny@mandriva.com> 0.7.0-1mdk
- 0.7.0

* Sun Apr 16 2006 Couriousous <couriousous@mandriva.org> 0.6.1-1mdk
- 0.6.1
- Renamed to piklab ?!

* Sun Jul 17 2005 Couriousous <couriousous@mandriva.org> 0.1-1mdk
- First Mandriva release

